%global pkgname qrcode

Summary:        Python QR Code image generator
Name:           python-%{pkgname}
Version:        7.4.2
Release:        2%{?dist}
License:        BSD
URL:            https://github.com/lincolnloop/python-qrcode
Source0:        https://pypi.python.org/packages/source/q/qrcode/qrcode-%{version}.tar.gz

Patch3000:      qrcode_test.patch
Patch3001:      qrcode_assert-has-calls.patch
Patch3002:      qrcode-optional-pypng.patch

BuildRequires:  python3-devel python3-pytest

BuildArch:      noarch

%description
A standard install uses pypng to generate PNG files
and can also render QR codes directly to the console.

%package -n python3-%{pkgname}
Summary:        Python QR Code image generator
Provides:       python3-%{pkgname}-core = %{version}-%{release}
Obsoletes:      python3-%{pkgname}-core < 7.4.2

%description -n python3-%{pkgname}
This module uses the Python Imaging Library (PIL) to allow for the
generation of QR Codes. Python 3 version.

%prep
%autosetup -n qrcode-%{version} -p1
sed -i '1d' qrcode/console_scripts.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qrcode
ln -s qr %{buildroot}%{_bindir}/qrcode

%check
%pytest -v

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst
%{_bindir}/qr
%{_bindir}/qrcode
%{_mandir}/man1/qr.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4.2-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 7.4.2-1
- upgrade to 7.4.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 Miaojun Dong <zoedong@tencent.com> - 7.3.1-1
- initial build
